- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_sync_query_alarm_reply_t Struct Reference
[XCB Sync API]

xcb_sync_query_alarm_reply_t More...

`#include <sync.h>`

Collaboration diagram for xcb_sync_query_alarm_reply_t:

[legend]

## Data Fields
uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | length
xcb_sync_trigger_t | trigger
xcb_sync_int64_t | delta
uint8_t | events
xcb_sync_alarmstate_t | state

## Detailed Description

xcb_sync_query_alarm_reply_t

## Field Documentation

uint8_t xcb_sync_query_alarm_reply_t::response_type

uint8_t xcb_sync_query_alarm_reply_t::pad0

uint16_t xcb_sync_query_alarm_reply_t::sequence

uint32_t xcb_sync_query_alarm_reply_t::length

xcb_sync_trigger_t xcb_sync_query_alarm_reply_t::trigger

xcb_sync_int64_t xcb_sync_query_alarm_reply_t::delta

uint8_t xcb_sync_query_alarm_reply_t::events

xcb_sync_alarmstate_t xcb_sync_query_alarm_reply_t::state

The documentation for this struct was generated from the following file:

- sync.h